ogma-core-1.10.0: Ogma: Helper tool to interoperate between Copilot and other languages.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Command.CStructs2MsgHandlers

Description

Generate C methods that process NASA Core Flight System messages dealing with the structs defined in a header file.

This module makes use of Language.Trans.CStructs2MsgHandlers, which does most of the work.

Synopsis

- cstructs2MsgHandlers :: FilePath -> IO (Result ErrorCode)
- type ErrorCode = Int

# Documentation

cstructs2MsgHandlers Source #

Arguments

:: FilePath | Path to a readable, valid C header file containing struct definitions.
-> IO (Result ErrorCode) |

Print message handlers that copy data and make it available to Copilot.

type ErrorCode = Int Source #

Encoding of reasons why the command can fail.

The error code used is 1 for user error.